Bug 149302 - cdrecord: Cannot init drive.
cdrecord: Cannot init drive.
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: xcdroast (Show other bugs)
2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-21 23:01 EST by E. Robert Tisdale
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-16 10:07:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xcdroast configuration file (2.35 KB, text/plain)
2005-02-21 23:04 EST, E. Robert Tisdale
no flags Details

  None (edit)
Description E. Robert Tisdale 2005-02-21 23:01:48 EST
Description of problem: xcdroast cannot write to (or even initialize)
my USB Sony Spressa CD Writer [Model No. CRX100E/X2].


Version-Release number of selected component (if applicable):
0.98alpha15

How reproducible:
Invoke xcdroast (from menu or shell as user or as root)

Steps to Reproduce:
1. xcdroast &
2. Create CD/DVD
3. Write Tracks
4. All
5. Add
6. Accept track layout
7. Write tracks
8. OK
9. Save output
  
Actual results:
First attempt:
> cat cdrecord.out
Calling: /usr/lib/xcdroast-0.98/bin/xcdrwrap CDRECORD dev=
"/dev/cdrom1" gracetime=2 fs=4096k  -v -useinfo speed=8 -dao -eject
-pad -data "/tmp/boot.iso" ...
 
scsidev: '/dev/cdrom1'
devname: '/dev/cdrom1'
scsibus: -2 target: -2 lun: -2
Linux sg driver version: 3.5.27
cdrecord: Warning: using inofficial libscg transport code version
(schily - Red Hat-scsi-linux-sg.c-1.83-RH '@(#)scsi-linux-sg.c       
1.83 04/05/20 Copyright 1997 J. Schilling').
SCSI buffer size: 64512
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004
Jörg Schilling
cdrecord: Input/output error. read buffer: scsi sendcmd: retryable error
Note: This version is an unofficial (modified) version with DVD support
CDB:  3C 00 00 00 00 00 00 FC 00 00
Note: and therefore may have bugs that are not present in the original.
status: 0x0 (GOOD STATUS)
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
resid: 64512
Note: The author of cdrecord should not be bothered with problems in
this version.
cmd finished after 266.237s timeout 200s
TOC Type: 1 = CD-ROM
resid: 4
Using libscg version 'schily-0.8'.
resid: 2
atapi: 1
resid: 4
Device type    : Removable CD-ROM
resid: 2
Version        : 0
cdrecord: Warning: controller returns zero sized CD write parameter page.
Response Format: 1
cdrecord: Warning: controller returns wrong size for CD write
parameter page.
Vendor_info    : 'SONY    '
cdrecord: Warning: controller returns wrong page 0 for CD write
parameter page (5).
Identifikation : 'CD-RW  CRX120E  '
cdrecord: Warning: controller returns zero sized CD write parameter page.
Revision       : '1.0k'
cdrecord: Warning: controller returns wrong size for CD write
parameter page.
Device seems to be: Generic mmc CD-RW.
cdrecord: Warning: controller returns wrong page 0 for CD write
parameter page (5).
Using generic SCSI-3/mmc   CD-R/CD-RW driver (mmc_cdr).
cdrecord: Cannot init drive.
Driver flags   : MMC SWABAUDIO

Second attempt:
> cat cdrecord.out
Calling: /usr/lib/xcdroast-0.98/bin/xcdrwrap CDRECORD dev=
"/dev/cdrom1" gracetime=2 fs=4096k  -v -useinfo speed=8 -dao -eject
-pad -data "/tmp/boot.iso" ...
 
Cdrecord-Clone 2.01-dvd (i686-pc-linux-gnu) Copyright (C) 1995-2004
Jörg Schilling
scsidev: '/dev/cdrom1'
Note: This version is an unofficial (modified) version with DVD support
devname: '/dev/cdrom1'
Note: and therefore may have bugs that are not present in the original.
scsibus: -2 target: -2 lun: -2
Note: Please send bug reports or support requests to
http://bugzilla.redhat.com/bugzilla
cdrecord: No such device or address. Cannot open '/dev/cdrom1'. Cannot
open SCSI driver.
Note: The author of cdrecord should not be bothered with problems in
this version.
cdrecord: For possible targets try 'cdrecord -scanbus'.
TOC Type: 1 = CD-ROM
cdrecord: For possible transport specifiers try 'cdrecord dev=help'.
equests to http://bugzilla.redhat.com/bugzilla
resid: 64512
Note: The author of cdrecord should not be bothered with problems in
this version.
cmd finished after 266.237s timeout 200s
TOC Type: 1 = CD-ROM
resid: 4
Using libscg version 'schily-0.8'.
resid: 2
atapi: 1
resid: 4
Device type    : Removable CD-ROM
resid: 2
Version        : 0
cdrecord: Warning: controller returns zero sized CD write parameter page.
Response Format: 1
cdrecord: Warning: controller returns wrong size for CD write
parameter page.
Vendor_info    : 'SONY    '
cdrecord: Warning: controller returns wrong page 0 for CD write
parameter page (5).
Identifikation : 'CD-RW  CRX120E  '
cdrecord: Warning: controller returns zero sized CD write parameter page.
Revision       : '1.0k'
cdrecord: Warning: controller returns wrong size for CD write
parameter page.
Device seems to be: Generic mmc CD-RW.
cdrecord: Warning: controller returns wrong page 0 for CD write
parameter page (5).
Using generic SCSI-3/mmc   CD-R/CD-RW driver (mmc_cdr).
cdrecord: Cannot init drive.
Driver flags   : MMC SWABAUDIO

Expected results:


Additional info:
Comment 1 E. Robert Tisdale 2005-02-21 23:04:40 EST
Created attachment 111284 [details]
xcdroast configuration file
Comment 2 Harald Hoyer 2005-02-22 05:03:04 EST
which kernel do you use?
Comment 3 Harald Hoyer 2005-09-16 10:07:56 EDT
CANTFIX without more information, closed due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.